/*******************************************************************************
 *	BdsDataCollate.h	Data File Access
 *			T.Barnaby,	BEAM Ltd,	2008-07-29
 *******************************************************************************
 */
#ifndef BdsDataCollate_H
#define	BdsDataCollate_H

#include <BString.h>
#include <BFile.h>
#include <BTimeStamp.h>
#include <BdsD.h>
#include <BdsDataFile.h>

namespace Bds {

/// This class defines the interface for generic data file access
class DataCollate {
public:
				DataCollate();
				~DataCollate();
				
	BError			addSource(DataFile& dataFile, BUInt channel);

	BError			readData(BUInt32 blockNumber, DataBlock& data);
	
protected:
};

}
#endif
