/*******************************************************************************
 *	BdsSeedType.cpp		BDS Seed data file access library
 *				T.Barnaby,	BEAM Ltd,	2009-12-14
 *******************************************************************************
 */
#ifndef BdsSeedType_H
#define BdsSeedType_H

#include <BError.h>

class BdsSeedType {
public:
			BdsSeedType();
	BError		getInt(char** data, int size, int& v);
	BError		getDouble(char** data, int size, double& v);
	BError		getString(char** data, int size, BString& v);
	BError		getStringVariable(char** data, int size, BString& v);
	
	BError		appendInt(BString& s, int v, int size);
	BError		appendDouble(BString& s, double v, int size, int precision);
	BError		appendExp(BString& s, double v, int size, int precision, int sign);
	BError		appendString(BString& s, BString v, int size);
	BError		appendStringVariable(BString& s, BString v, int size);
};
#endif
