/*******************************************************************************
 *	BObj.h		Beam Object
 *			T.Barnaby,	BEAM Ltd,	2008-06-04
 *******************************************************************************
 */
#ifndef BObj_H
#define BObj_H	1

#include	<BDict.h>
#include	<BString.h>
#include	<BError.h>


class BObj {
public:
				BObj();
	virtual			~BObj();

	virtual BString		getType();
	virtual BError		getMembers(BDictString& members);
	virtual BError		setMembers(BDictString& members);
	
				// Debug functions
	virtual BString		getDebugString();		///< Returns contents as a debug string
};

#endif
