/*******************************************************************************
 *	BComplex.h	BEAM Array
 *			T.Barnaby,	BEAM Ltd,	2009-09-10
 *******************************************************************************
 */
#ifndef BComplex_H
#define BComplex_H	1

#include <BTypes.h>
#include <complex>
#include <algorithm>

/// This is based on the Standard C++ library complex class and has all of the
/// functionality of that class.
class BComplex : public std::complex<double> {
public:
			BComplex(double real = 0.0, double imag = 0.0) : std::complex<double>(real, imag){}
};

#endif
